/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.action;

import java.awt.event.*;

import javax.swing.*;

import edu.stanford.smi.protege.model.*;
import edu.stanford.smi.protege.resource.*;
import edu.stanford.smi.protege.ui.*;
import edu.stanford.smi.protege.util.*;

/**
 * Show a panel to display interesting metrics about the current Project
 *
 * @author    Ray Fergerson <fergerson@smi.stanford.edu>
 */
public class ShowMetrics extends ProjectAction {

    private static final long serialVersionUID = 3040315622772444408L;

    public ShowMetrics() {
        super(ResourceKey.PROJECT_METRICS);
    }

    public void actionPerformed(ActionEvent event) {
        JComponent root = getProjectManager().getMainPanel();
        Project p = getProjectManager().getCurrentProject();
        if (p != null) {
            WaitCursor cursor = new WaitCursor(root);
            JComponent c = new MetricsPanel(p);
            cursor.hide();
            String title = LocalizedText.getText(ResourceKey.METRICS_DIALOG_TITLE);
            ModalDialog.showDialog(root, c, title, ModalDialog.MODE_CLOSE);
        }
    }
}
