/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.event;

import edu.stanford.smi.protege.model.*;
import edu.stanford.smi.protege.util.*;

/**
 *  Event generated when a facet changes.
 *
 * @author    Ray Fergerson <fergerson@smi.stanford.edu>
 */
public class FacetEvent extends AbstractEvent {
    private static final long serialVersionUID = -4537516153578794206L;
    private static final int BASE = 500;
    public static final int FRAME_SLOT_REFERENCE_ADDED = BASE + 1;
    public static final int FRAME_SLOT_REFERENCE_REMOVED = BASE + 2;

    public FacetEvent(Facet facet, int type, Frame frame, Slot slot) {
        super(facet, type, frame, slot);
    }

    public Frame getFrame() {
        return (Frame) getArgument1();
    }

    public Slot getSlot() {
        return (Slot) getArgument2();
    }
}
