/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.event;

import edu.stanford.smi.protege.model.KnowledgeBase;
import edu.stanford.smi.protege.util.AbstractEvent;

public class TransactionEvent extends AbstractEvent {
    private static final long serialVersionUID = -8971470385776143936L;
    private static final int BASE = 700;
    public static final int TRANSACTION_BEGIN = BASE + 1;
    public static final int TRANSACTION_END = BASE + 2;
    
    public TransactionEvent(KnowledgeBase kb, int type, String name, Boolean committed) {
        super(kb, type, name, committed);
    }
    
    public KnowledgeBase getKnowledgeBase() {
        return (KnowledgeBase) getSource();
    }
    
    public String getBeginString() {
        return (String) getArgument();
    }
    
    public Boolean isCommitted() {
        return (Boolean) getArgument2();
    }

}
