/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.exception;

/**
 * This is for errors in Protege that are caused by a programmer
 * mistake.  A reasonable catch for this error would provide an option
 * for e-mailing a bug report to Stanford.  It is deliberately meant to 
 * be unchecked so that we do  not have to declare our bugs for each method ;).
 * 
 * @author tredmond
 *
 */
public class ProtegeError extends RuntimeException {
  
  private static final long serialVersionUID = -7756694680618468454L;

public ProtegeError() {
    super();
  }

  public ProtegeError(String msg) {
    super(msg);
  }
  
  public ProtegeError(String msg, Throwable t) {
    super(msg, t);
  }
  
  public ProtegeError(Throwable t) {
    super(t);
  }
}
