/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.model.query;
//ESCA*JAVA0257

import java.util.Collection;

import edu.stanford.smi.protege.model.Cls;
import edu.stanford.smi.protege.model.Localizable;
import edu.stanford.smi.protege.model.Slot;

public interface Query extends Localizable {
    // all types
    int EQUALS = 1;
    int CONTAINS = 10;

    // string operations
    int MATCHES_STRING = 2;

    // number operations
    int LESS_THAN = 5;
    int LESS_THAN_OR_EQUAL_TO = 7;
    int GREATER_THAN = 6;
    int GREATER_THAN_OR_EQUAL_TO = 8;
}

abstract class AndQuery implements Query {

    AndQuery(Collection<Query> queries) {
    }

}

abstract class OrQuery implements Query {
    OrQuery(Collection queries) {
    }
}

abstract class SlotValueQuery implements Query {

    protected SlotValueQuery() {

    }

    protected SlotValueQuery(Cls cls, Slot slot, int operation, Object value) {
      
    }
}

abstract class OwnSlotValueQuery extends SlotValueQuery {
    OwnSlotValueQuery(Cls cls, Slot slot, int operation, Object value) {
        super(cls, slot, operation, value);
    }
}

abstract class TemplateSlotValueQuery extends SlotValueQuery {
    TemplateSlotValueQuery(Cls cls, Slot slot, int operation, Object value) {
        super(cls, slot, operation, value);
    }
}

abstract class TemplateFacetValueQuery implements Query {
}
