/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.server;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * This interface is used to transfer the project (.pprj) file from the server
 * to the client.  It is very primitive but for this purpose nothing more is
 * really needed.  The idea here is that the server gets to choose the buffer size.
 * 
 * @author tredmond
 *
 */
public interface RemoteSimpleStream extends Remote {
    /**
     * Read some buffer size count of bytes until it reaches the end of the file 
     * at which point it returns null.
     * @return
     */
    byte[] read() throws RemoteException;
    
    void close() throws RemoteException;
}
