/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.ui;

import edu.stanford.smi.protege.util.ValidatableTabComponent;


public class PreferencesPanel extends ValidatableTabComponent {
	private static final long serialVersionUID = 102285543910901051L;
    private GeneralPreferencesPanel generalPreferencesPanel;
	private ConfigureProtegePropertiesPanel configureProtegePropertiesPanel;
	
	public PreferencesPanel() {
		generalPreferencesPanel = new GeneralPreferencesPanel();
		configureProtegePropertiesPanel = new ConfigureProtegePropertiesPanel(null);
		addTab("General", generalPreferencesPanel);
		addTab("Property Files", configureProtegePropertiesPanel);
	}
	
	@Override
	public void saveContents() {
		/*
		 * We want the save order to be:
		 * 1.ConfigureProtegePropertiesPanel
		 * 2.GeneralPreferencesPanel
		 * so that no.2 overrides no.1
		 */ 
		configureProtegePropertiesPanel.saveContents();
		generalPreferencesPanel.saveContents();
	}
	
	
}
