/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.widget;

import edu.stanford.smi.protege.model.*;
import edu.stanford.smi.protege.resource.*;
import edu.stanford.smi.protege.util.*;

/**
 * A renderer used by the RoleWidget to display the "abstract" icon after the word abstract.  This hope is that this
 * will more easily allow the user to make the link between this role and the same icon on the classes panel.
 * 
 * @author Ray Fergerson <fergerson@smi.stanford.edu>
 */
class RoleRenderer extends DefaultRenderer {

    private static final long serialVersionUID = 1044368024395724864L;

    public void load(Object o) {
        setMainText(o.toString());
        boolean isAbstract = o.equals(RoleConstraint.ABSTRACT);
        appendIcon(Icons.getClsIcon(false, isAbstract, false, false));
    }
}
/*
class RoleRenderer extends BasicComboBoxRenderer {

    public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
    	super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
        boolean isAbstract = value.equals(RoleConstraint.ABSTRACT);
        Icon icon = Icons.getClsIcon(false, isAbstract, false);
        setIcon(icon);
    	return this;
	}
}
*/
